Create UEFI Credential

View as Markdown

Create a site-default host or DPU UEFI credential. The request fails if the selected site-default credential already exists.

User must have authorization role with PROVIDER_ADMIN suffix.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current ```

Path parameters

orgstringRequired
Name of the Org

Request

This endpoint expects an object.
siteIdstringRequiredformat: "uuid"
ID of the Site where the credential is stored.
kindenumRequired

Which site-default UEFI credential to create.

passwordstringRequired>=1 character
Credential password.

Response

UEFI credential was created
siteIdstringformat: "uuid"
ID of the Site where the credential is stored.
kindenum

Which site-default UEFI credential was created.

Errors

400
Bad Request Error
403
Forbidden Error
409
Conflict Error